package de.ctdo.bunti.control;

import de.ctdo.bunti.model.BuntiDevice;
import de.ctdo.bunti.model.Room;

import java.util.Collection;
import java.util.Map;

public interface BuntiController {

    Collection<BuntiDevice> getAllDevices();
    BuntiDevice getDeviceById(int deviceId);

    boolean updateDeviceData(int deviceId, Map<String, Object> options);

    Collection<Room> getAllRooms();
    Room getRoomById(int roomId);

}
